;################################################################### LIBHV.INC
; Purpose.....:	LIBH: Video control sequences
; History.....: 08.01.2024: Created
;#############################################################################

;***************************************************** video control sequences
hvVCL::		DB	2		; length of sequence
		DB	0DH,0AH,00H,00H	; Cr/Lf sequence
		DB	00H,00H

hvVHOM::	DB	1		; length of sequence
		DB	1EH,00H,00H,00H	; HOMe cursor
		DB	00H,00H

hvVCLS::	DB	1		; length of sequence
		DB	1AH,00H,00H,00H	; CLear Screen and home cursor
		DB	00H,00H

hvVCES::	DB	1		; length of sequence
		DB	17H,00H,00H,00H	; Clear to End of Screen
		DB	00H,00H

hvVCEL::	DB	2		; length of sequence
		DB	1BH,18H,00H,00H	; Clear to End of Line
		DB	00H,00H

hvVRCL::	DB	2		; length of sequence
		DB	0DH,18H,00H,00H	; cR and Clear to end of Line
		DB	00H,00H

hvVRU::		DB	2		; length of sequence
		DB	0DH,0BH,00H,00H	; cR and cuRsor Up
		DB	00H,00H

hvVRCU::	DB      3		; length of sequence
		DB	0DH,18H,0BH,00H	; cR, Clear to eol, cursor Up
		DB	00H,00H

hvVCON::	DB	0		; length of sequence
		DB	00H,00H,00H,00H	; cursor off (not supported)
		DB	00H,00H

hvVCOF::	DB	0		; length of sequence
		DB	00H,00H,00H,00H	; cursor on (not supported)
		DB	00H,00H
	
hvVCP::		DB	2		; length of sequence
		DB	1BH,3DH,00H,00H	; Cursor Positioning lead-in
		DB	00H,00H

hvVCPC::	DB	20H		; Cursor Positioning, Column offset
hvVCPR::	DB	20H		;                     Row offset
hvVCPO::	DB	01H		; rOw before column (=1)

;############################################################### EOF LIBHV.INC

